Bug 1074596 - don't run 'kmem -f by default
Summary: don't run 'kmem -f by default
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: retrace-server
Version: el6
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Michal Toman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-10 15:33 UTC by Guy Streeter
Modified: 2016-02-10 01:33 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-08-15 18:58:01 UTC


Attachments (Terms of Use)

Comment 1 Dave Wysochanski 2014-03-10 16:03:28 UTC
Instead let's run 'kmem -z'.  This should be more useful and it is not nearly as expensive.

Comment 2 Dave Wysochanski 2014-03-10 17:08:25 UTC
(In reply to Dave Wysochanski from comment #1)
> Instead let's run 'kmem -z'.  This should be more useful and it is not
> nearly as expensive.

Scratch the above.  We don't know how long this will take to run and it may be best to just get the vmcore in the hands of the engineer analyzing as fast as possible.

Comment 3 Dave Wysochanski 2014-03-10 17:11:24 UTC
FWIW, this came as a result of the following bz:
https://bugzilla.redhat.com/show_bug.cgi?id=1073987#c13

If we want, we could re-think another kmem command to run by default but we need to weigh cost (execution time) vs benefit (how many people/cores find it useful).  In absence of good data, for now let's just leave the kmem commands out by default.

Comment 4 Aaron Tomlin 2014-03-10 17:57:58 UTC
(In reply to Dave Wysochanski from comment #3)
> FWIW, this came as a result of the following bz:
> https://bugzilla.redhat.com/show_bug.cgi?id=1073987#c13
> 
> If we want, we could re-think another kmem command to run by default but we
> need to weigh cost (execution time) vs benefit (how many people/cores find
> it useful).  In absence of good data, for now let's just leave the kmem
> commands out by default.

Agreed.

Comment 7 Dave Wysochanski 2014-05-09 09:47:52 UTC
This looks fixed to me in retrace-server-1.11-2.el6.noarch

Comment 8 Fedora Update System 2014-07-31 11:52:44 UTC
retrace-server-1.12-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/retrace-server-1.12-2.el6

Comment 9 Fedora Update System 2014-07-31 16:58:59 UTC
Package retrace-server-1.12-2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing retrace-server-1.12-2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-2089/retrace-server-1.12-2.el6
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2014-08-15 18:58:01 UTC
retrace-server-1.12-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.